Subject: bug#54368: closed (Re: bug#54368: [PATCH 0/4] Add Btrfs RAID10 install tests.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Mar 2022 15:32:02 +0000

Your bug report

#54368: [PATCH 0/4] Add Btrfs RAID10 install tests.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54368: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54368
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54368: [PATCH 0/4] Add Btrfs RAID10 install tests.
From: Maxim Cournoyer <[email-masked]>
To: Mathieu Othacehe <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Mar 2022 11:31:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Mathieu,

Mathieu Othacehe <[email-masked]> writes:

> Hello Maxim,
>
> This looks great! I created a dedicated jobset here:
> https://ci.guix.gnu.org/jobset/wip-btrfs-raid-tests to check everything
> is still running fine.
>
>> +OS to install TARGET-OS.  Return the VM disk images of TARGET-SIZE bytes
>> +containing the installed system.  Unless providing OS, the PACKAGES will be
>> +added to the packages defined in INSTALLATION-OS (from (gnu system install)).
>> +NUMBER-OF-DISKS can be used to specify a number of disks different than one,
>> +such as for RAID systems."
>
> I'm having troubles understanding the "Unless providing OS" part of the
> sentence, but that's also because this mechanism of adding packages to
> the default OS definition is tricky.
>
> Maybe we should augment the OS definition with those packages
> unconditionally in the body of the "run-install" procedure.

This is now done unconditionally.  I've also fixed the typo reported in
another email on this thread, thank you!

Retested with 'make check-system TESTS=btrfs-raid10-root-os' and pushed
with commit b45a301618.

Thanks for the review!

Maxim

Subject: [PATCH 0/4] Add Btrfs RAID10 install tests.
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: Maxim Cournoyer <[email-masked]>
Date: Sun, 13 Mar 2022 00:40:40 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

On the quest to get our Berlin CI machine rebooted on a Btrfs RAID10 array,
these new system tests validate that software-wise, it's supposed to work.

Thanks,

Maxim Cournoyer (4):
  tests: install: Adjust the timeouts on two failing tests.
  tests: install: Streamline 'qemu-command/writable-image'.
  tests: install: Enable the use of multiple disk devices for tests.
  tests: install: Add two new Btrfs RAID10 install test.

 gnu/tests/base.scm    |   6 +-
 gnu/tests/install.scm | 382 +++++++++++++++++++++++++++---------------
 2 files changed, 254 insertions(+), 134 deletions(-)

-- 
2.34.0